MBeanServerDelegate (Java SE 15 & JDK 15)
Description: declaration: module: java.management, package: javax.management, class: MBeanServerDelegate
Keywords: javax.management.MBeanServerDelegate class

Module java.management
Package javax.management

# Class MBeanServerDelegate

java.lang.Object
javax.management.MBeanServerDelegate

All Implemented Interfaces:
  `MBeanServerDelegateMBean`, `NotificationBroadcaster`, `NotificationEmitter`

    public class MBeanServerDelegate
    extends Object
    implements MBeanServerDelegateMBean, NotificationEmitter

Represents the MBean server from the management point of view. The MBeanServerDelegate MBean emits the MBeanServerNotifications when an MBean is registered/unregistered in the MBean server.

Since:
  1.5

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `static ObjectName` | `DELEGATE_NAME` | Defines the default ObjectName of the MBeanServerDelegate.

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `MBeanServerDelegate()` | Create a MBeanServerDelegate object.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `String` | `getImplementationName()` | Returns the JMX implementation name (the name of this product).
  `String` | `getImplementationVendor()` | Returns the JMX implementation vendor (the vendor of this product).
  `String` | `getImplementationVersion()` | Returns the JMX implementation version (the version of this product).
  `String` | `getMBeanServerId()` | Returns the MBean server agent identity.
  `String` | `getSpecificationName()` | Returns the full name of the JMX specification implemented by this product.
  `String` | `getSpecificationVendor()` | Returns the vendor of the JMX specification implemented by this product.
  `String` | `getSpecificationVersion()` | Returns the version of the JMX specification implemented by this product.
  `void` | `sendNotification​(Notification notification)` | Enables the MBean server to send a notification.

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods declared in interface javax.management.NotificationBroadcaster

  `addNotificationListener, getNotificationInfo, removeNotificationListener`

  ### Methods declared in interface javax.management.NotificationEmitter

  `removeNotificationListener`

- ## Field Details

  - ### DELEGATE_NAME

    public static final ObjectName DELEGATE_NAME
    Defines the default ObjectName of the MBeanServerDelegate.
    Since:
      1.6

- ## Constructor Details

  - ### MBeanServerDelegate

    public MBeanServerDelegate()
    Create a MBeanServerDelegate object.

- ## Method Details

  - ### getMBeanServerId

    public String getMBeanServerId()
    Returns the MBean server agent identity.
    Specified by:
      `getMBeanServerId` in interface `MBeanServerDelegateMBean`
    Returns:
      the identity.

  - ### getSpecificationName

    public String getSpecificationName()
    Returns the full name of the JMX specification implemented by this product.
    Specified by:
      `getSpecificationName` in interface `MBeanServerDelegateMBean`
    Returns:
      the specification name.

  - ### getSpecificationVersion

    public String getSpecificationVersion()
    Returns the version of the JMX specification implemented by this product.
    Specified by:
      `getSpecificationVersion` in interface `MBeanServerDelegateMBean`
    Returns:
      the specification version.

  - ### getSpecificationVendor

    public String getSpecificationVendor()
    Returns the vendor of the JMX specification implemented by this product.
    Specified by:
      `getSpecificationVendor` in interface `MBeanServerDelegateMBean`
    Returns:
      the specification vendor.

  - ### getImplementationName

    public String getImplementationName()
    Returns the JMX implementation name (the name of this product).
    Specified by:
      `getImplementationName` in interface `MBeanServerDelegateMBean`
    Returns:
      the implementation name.

  - ### getImplementationVersion

    public String getImplementationVersion()
    Returns the JMX implementation version (the version of this product).
    Specified by:
      `getImplementationVersion` in interface `MBeanServerDelegateMBean`
    Returns:
      the implementation version.

  - ### getImplementationVendor

    public String getImplementationVendor()
    Returns the JMX implementation vendor (the vendor of this product).
    Specified by:
      `getImplementationVendor` in interface `MBeanServerDelegateMBean`
    Returns:
      the implementation vendor.

  - ### sendNotification

    public void sendNotification​(Notification notification)
    Enables the MBean server to send a notification. If the passed notification has a sequence number lesser or equal to 0, then replace it with the delegate's own sequence number.
    Parameters:
      `notification` - The notification to send.